Bug 464887 - P2 director in Fedora produces various error messages which upstream binary doesn't
P2 director in Fedora produces various error messages which upstream binary d...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 811944
  Show dependency treegraph
 
Reported: 2008-09-30 22:10 EDT by Sean Flanigan
Modified: 2014-01-12 19:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-30 06:07:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Script to run p2 director, plus a small update-site snapshot (1.61 MB, application/octet-stream)
2008-09-30 22:10 EDT, Sean Flanigan
no flags Details
Log file containing full error messages (16.52 KB, text/plain)
2008-09-30 22:11 EDT, Sean Flanigan
no flags Details
Log of run with rawhide eclipse-3.4.1-5 (11.24 KB, text/plain)
2008-11-03 19:55 EST, Sean Flanigan
no flags Details

  None (edit)
Description Sean Flanigan 2008-09-30 22:10:14 EDT
Created attachment 318154 [details]
Script to run p2 director, plus a small update-site snapshot

Description of problem:
P2 director in Fedora produces various error messages which upstream binary doesn't.

Version-Release number of selected component (if applicable):
eclipse-platform-3.4.0-24.fc10.i386

How reproducible:
Always, at least when using attached snapshot of the update site

Steps to Reproduce:
1. Extract p2-director-bug.tar.bz2 somewhere, change to the directory p2-director-bug
2. sh ./fetch-babel.sh
  
Actual results:
!ENTRY org.eclipse.equinox.p2.director 2 0 2008-10-01 12:00:31.355
!MESSAGE Problems resolving provisioning plan.                    
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2008-10-01 12:00:31.356
!MESSAGE Unable to satisfy dependency from org.python.pydev.mylyn.feature.feature.group 0.3.0 to requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.mylyn/2.0.0.v20070627-1400.                                                                                                                                                      
...
!ENTRY org.eclipse.equinox.p2.reconciler.dropins 4 0 2008-10-01 12:00:40.599
!MESSAGE
!STACK 0
org.osgi.framework.BundleException: State change in progress for bundle "reference:file:plugins/org.eclipse.equinox.p2.reconciler.dropins_1.0.0.v20080611.jar" by thread "Start Level Event Dispatcher".
...

and many, many more.  See attached p2-director-bug.log for the rest.

Expected results:
Installing org.eclipse.nls.ar.feature.group 0.2.0.v20080928043402.
Installing org.eclipse.nls.ar.feature.group 0.2.0.v20080928043402.
Operation completed in 78754 ms.

real    1m19.704s
user    0m8.839s
sys     0m0.711s

(This is from running the same script, but using upstream's binary.)

Additional info:
Comment 1 Sean Flanigan 2008-09-30 22:11:26 EDT
Created attachment 318155 [details]
Log file containing full error messages
Comment 2 Sean Flanigan 2008-10-01 00:30:13 EDT
Note that upstream's binary can produce XML errors like "[Fatal Error] :19327:6: XML document structures must start and end within the
same entity." when using the director, but that's a separate problem. See https://bugs.eclipse.org/bugs/show_bug.cgi?id=249260
Comment 3 Andrew Overholt 2008-10-16 09:51:33 EDT
I *suspect* at least some of these are related to plugins not being picked up from dropins which is bug #458626.
Comment 4 Alexander Kurtakov 2008-10-31 07:40:18 EDT
(In reply to comment #2)
> Note that upstream's binary can produce XML errors like "[Fatal Error]
> :19327:6: XML document structures must start and end within the
> same entity." when using the director, but that's a separate problem. See
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=249260

Can you if this happens with current rawhide eclipse? 
At least some of the errors like the pydev one should be gone. If there are still such problems run eclipse with -clean option. If they appear on the next run too please attach updated log files.
Comment 5 Sean Flanigan 2008-11-03 19:55:29 EST
Created attachment 322381 [details]
Log of run with rawhide eclipse-3.4.1-5

The pydev/mylyn errors have gone, but still getting the BundleException.
Comment 6 Bug Zapper 2008-11-25 22:18:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-11-18 02:55:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:27:46 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Andrew Overholt 2010-01-05 10:23:03 EST
I'd still like to investigate this at some point.  Re-opening.
Comment 10 Bug Zapper 2010-03-15 08:05:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Andrew Overholt 2010-08-23 16:03:20 EDT
Chris, any ideas here?
Comment 12 Andrew Overholt 2010-08-23 16:03:47 EDT
Since the director seems to work alright, dropping down the severity.
Comment 13 Fedora Admin XMLRPC Client 2010-08-31 11:59:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Krzysztof Daniel 2012-04-30 06:07:28 EDT
I have just checked f17 image. It reports many broken dependencies, but none of them affecting pydev.
I am closing this bug as works for me, and I will open bug for each broken dependency using 811944 as a tracking bug.

Note You need to log in before you can comment on or make changes to this bug.